---
lang: en
title: 'API docs: context.context.add'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context.add.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [add](./context.context.add.md)

## Context.add() method

Add a binding to the context. If a locked binding already exists with the same key, an error will be thrown.

<b>Signature:</b>

```typescript
add(binding: Binding<unknown>): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | <code>Binding&lt;unknown&gt;</code> | The configured binding to be added |

<b>Returns:</b>

`this`


